Index: ThirdParty/vmg/src/Makefile.am
===================================================================
--- ThirdParty/vmg/src/Makefile.am	(revision 7faa5c793164ff799487bb1193ab2a18a3a7e2fb)
+++ ThirdParty/vmg/src/Makefile.am	(revision 7faa5c793164ff799487bb1193ab2a18a3a7e2fb)
@@ -0,0 +1,236 @@
+
+VMGSOURCES =  \
+	base/command_factory.cpp \
+	base/command_list.cpp \
+	base/factory.cpp \
+	base/helper.cpp \
+	base/index.cpp \
+	base/interface.cpp \
+	base/matrix.cpp \
+	base/object.cpp \
+	base/proxy.cpp \
+	base/stencil.cpp \
+	base/timer.cpp \
+	base/vector.cpp \
+	comm/comm_mpi.cpp \
+	comm/comm_serial.cpp \
+	comm/comm.cpp \
+	comm/domain_decomposition_mpi.cpp \
+	comm/domain_decomposition_serial.cpp \
+	comm/mpi/datatype.cpp \
+	comm/mpi/datatypes_global.cpp \
+	comm/mpi/datatypes_local.cpp \
+	comm/mpi/settings.cpp \
+	comm/mpi/error_handler.cpp \
+	commands/com_check_consistency.cpp \
+	commands/com_check_iteration_counter.cpp \
+	commands/com_check_relative_residual.cpp \
+	commands/com_check_residual.cpp \
+	commands/com_clear_coarse_levels.cpp \
+	commands/com_clear_grid.cpp \
+	commands/com_compute_residual_norm.cpp \
+	commands/com_copy_boundary.cpp \
+	commands/com_execute_cycle.cpp \
+	commands/com_execute_cycle_loop.cpp \
+	commands/com_execute_full_cycle_loop.cpp \
+	commands/com_execute_full_cycle.cpp \
+	commands/com_export_solution.cpp \
+	commands/com_force_discrete_compatibility.cpp \
+	commands/com_import_rhs.cpp \
+	commands/com_interpolate_fmg.cpp \
+	commands/com_initialize_iteration_counter.cpp \
+	commands/com_initialize_residual_norm.cpp \
+	commands/com_nop.cpp \
+	commands/com_print_all_settings.cpp \
+	commands/com_print_defect.cpp \
+	commands/com_print_grid_structure.cpp \
+	commands/com_print_grid.cpp \
+	commands/com_print_residual_norm.cpp \
+	commands/com_print_running_time.cpp \
+	commands/com_prolongate.cpp \
+	commands/com_restrict.cpp \
+	commands/com_set_average_to_zero.cpp \
+	commands/com_set_coarser_dirichlet_values.cpp \
+	commands/com_set_level.cpp \
+	commands/com_smooth.cpp \
+	commands/com_solve.cpp \
+	cycles/cycle.cpp \
+	cycles/cycle_cs_dirichlet.cpp \
+	cycles/cycle_cs_dirichlet_debug.cpp \
+	cycles/cycle_cs_periodic.cpp \
+	cycles/cycle_cs_periodic_debug.cpp \
+	cycles/cycle_fas_dirichlet.cpp \
+	cycles/cycle_fas_dirichlet_debug.cpp \
+	cycles/cycle_fas_periodic.cpp \
+	cycles/cycle_fas_periodic_debug.cpp \
+	discretization/boundary_value_setter.cpp \
+	discretization/discretization_poisson_fd.cpp \
+	discretization/discretization_poisson_fv.cpp \
+	grid/global_grid_partitioning.cpp \
+	grid/grid_index_translations.cpp \
+	grid/grid_iterator_suite.cpp \
+	grid/grid.cpp \
+	grid/multigrid.cpp \
+	grid/tempgrid.cpp \
+	level/level_operator_cs.cpp \
+	level/level_operator_fas.cpp \
+	smoother/gs.cpp \
+	smoother/gsrb.cpp \
+	smoother/gsrb_poisson_2.cpp \
+	smoother/gsrb_poisson_4.cpp \
+	smoother/jacobi.cpp \
+	smoother/smoother.cpp \
+	solver/solver_regular.cpp \
+	solver/solver_singular.cpp \
+	solver/solver.cpp \
+	thirdparty/pugixml/pugixml.cpp \
+	units/particle/bspline.cpp \
+	units/particle/comm_mpi_particle.cpp \
+	units/particle/interface_particles.cpp \
+	units/particle/interpolation.cpp \
+	units/particle/linked_cell_list.cpp \
+	units/particle/particle.cpp \
+	mg.cpp
+	
+VMGFCSSOURCES = \
+	units/particle/interface_fcs.cpp
+
+VMGFCSHEADERS = \
+	units/particle/interface_fcs.h
+
+VMGHEADERS =  \
+	base/command_factory.hpp \
+	base/command_list.hpp \
+	base/command.hpp \
+	base/defs.hpp \
+	base/discretization.hpp \
+	base/factory.hpp \
+	base/has_tempgrids.hpp \
+	base/helper.hpp \
+	base/index.hpp \
+	base/interface.hpp \
+	base/math.hpp \
+	base/matrix.hpp \
+	base/object.hpp \
+	base/polynomial.hpp \
+	base/proxy.hpp \
+	base/stencil.hpp \
+	base/timer.hpp \
+	base/tuple.hpp \
+	base/vector.hpp \
+	comm/comm_mpi.hpp \
+	comm/comm_serial.hpp \
+	comm/comm.hpp \
+	comm/domain_decomposition.hpp \
+	comm/domain_decomposition_mpi.hpp \
+	comm/domain_decomposition_serial.hpp \
+	comm/mpi/datatype.hpp \
+	comm/mpi/datatypes_global.hpp \
+	comm/mpi/datatypes_local.hpp \
+	comm/mpi/settings.hpp \
+	comm/mpi/error_handler.hpp \
+	comm/mpi/has_request_vec.hpp \
+	comm/mpi/key.hpp \
+	cycles/cycle.hpp \
+	cycles/cycle_cs_dirichlet.hpp \
+	cycles/cycle_cs_dirichlet_debug.hpp \
+	cycles/cycle_cs_periodic.hpp \
+	cycles/cycle_cs_periodic_debug.hpp \
+	cycles/cycle_fas_dirichlet.hpp \
+	cycles/cycle_fas_dirichlet_debug.hpp \
+	cycles/cycle_fas_periodic.hpp \
+	cycles/cycle_fas_periodic_debug.hpp \
+	discretization/boundary_value.hpp \
+	discretization/boundary_value_setter.hpp \
+	discretization/boundary_value_setter_open.hpp \
+	discretization/discretization_poisson_fd.hpp \
+	discretization/discretization_poisson_fv.hpp \
+	grid/global_grid_partitioning.hpp \
+	grid/grid_double_iterator.hpp \
+	grid/grid_index_translations.hpp \
+	grid/grid_iterator.hpp \
+	grid/grid_iterator_set.hpp \
+	grid/grid_iterator_suite.hpp \
+	grid/grid_properties.hpp \
+	grid/grid.hpp \
+	grid/is_grid.hpp \
+	grid/multigrid.hpp \
+	grid/tempgrid.hpp \
+	level/level_operator_cs.hpp \
+	level/level_operator_fas.hpp \
+	level/level_operator.hpp \
+	level/stencils.hpp \
+	smoother/gs.hpp \
+	smoother/gsrb.hpp \
+	smoother/gsrb_poisson_2.hpp \
+	smoother/gsrb_poisson_4.hpp \
+	smoother/jacobi.hpp \
+	smoother/smoother.hpp \
+	solver/dgesv.hpp \
+	solver/dsysv.hpp \
+	solver/givens.hpp \
+	solver/solver_regular.hpp \
+	solver/solver_singular.hpp \
+	solver/solver.hpp \
+	thirdparty/pugixml/pugiconfig.hpp \
+	thirdparty/pugixml/pugixml.hpp \
+	units/particle/bspline.hpp \
+	units/particle/comm_mpi_particle.hpp \
+	units/particle/interface_fcs.h \
+	units/particle/interface_particles.hpp \
+	units/particle/interpolation.hpp \
+	units/particle/linked_cell_list.hpp \
+	units/particle/particle.hpp \
+	mg.hpp
+
+lib_LTLIBRARIES = libvmg.la
+
+libvmg_la_includedir = $(includedir)/vmg/
+libvmg_la_CPPFLAGS = $(BOOST_CPPFLAGS) $(VTK_CXXFLAGS)
+libvmg_la_LDFLAGS = \
+        $(AM_LDFLAGS)
+libvmg_la_LIBADD =
+
+nobase_libvmg_la_include_HEADERS = ${VMGHEADERS}
+if COND_HAVE_FCS
+nobase_libvmg_la_include_HEADERS += ${VMGFCSHEADERS}
+endif
+
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libvmg_la_SOURCES = ${VMGSOURCES}
+if COND_HAVE_FCS
+libvmg_la_SOURCES += ${VMGFCSSOURCES}
+endif
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+libvmg_la_LDFLAGS += -version-info $(VMG_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+libvmg_la_libincludedir = $(libdir)/vmg/include
+nodist_libvmg_la_libinclude_HEADERS = $(top_builddir)/libvmg_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = $(top_builddir)/vmg.pc
